List lembur
curl --request GET \
--url https://api.emplicon.com/api/v1/overtimes \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-ID: <api-key>'import requests
url = "https://api.emplicon.com/api/v1/overtimes"
headers = {
"X-Api-Key": "<api-key>",
"X-Client-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>', 'X-Client-ID': '<api-key>'}};
fetch('https://api.emplicon.com/api/v1/overtimes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"overtimes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_employee_id": "<string>",
"date": "<string>",
"event_time": "<string>",
"event_time_display": "<string>",
"notes": "<string>"
}
],
"sessions": [
{
"employee_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unique_employee_id": "<string>",
"date": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"duration_minutes": 123,
"duration_hours": 123,
"duration_mins": 123
}
]
}Overtimes
List lembur
Mengambil daftar event lembur (start/end) dan sesi terpasang dengan durasi (jam & menit). Filter tanggal dan optional unique_employee_id.
GET
/
api
/
v1
/
overtimes
List lembur
Authorizations
API Secret Key (emp_sk_...). Wajib dikirim bersama header X-Client-ID (Client ID perusahaan). Keduanya didapat dari Pengaturan → Perusahaan di dashboard.
Client ID perusahaan (emp_cl_...). Wajib dikirim bersama X-Api-Key.
Query Parameters
Tanggal awal (YYYY-MM-DD)
Tanggal akhir (YYYY-MM-DD)
Filter by Unique ID karyawan (e.g. MULIA-1234567)
⌘I